Bug 71634 - new-run-webkit-tests does not support --32-bit like ORWT did
: new-run-webkit-tests does not support --32-bit like ORWT did
Status: RESOLVED FIXED
: WebKit
Tools / Tests
: 528+ (Nightly build)
: Unspecified Unspecified
: P2 Normal
Assigned To:
:
:
:
: 88680
  Show dependency treegraph
 
Reported: 2011-11-06 13:28 PST by
Modified: 2012-06-13 15:37 PST (History)


Attachments
Patch (7.83 KB, patch)
2012-06-11 16:36 PST, Dirk Pranke
ojan: review+
Review Patch | Details | Formatted Diff | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2011-11-06 13:28:01 PST
new-run-webkit-tests does not support --32-bit like ORWT did

Per request of Gavin Barraclough on webkit-dev.
------- Comment #1 From 2011-11-07 12:42:35 PST -------
build-webkit --32-bit
failed for me on my Lion box just now, making it difficult to test if this mode works.

Gavin, do you have suggestions as to how I should test run-webkit-tests --32-bit?
------- Comment #2 From 2011-11-18 23:59:47 PST -------
Help?  I need assistance from someone who has used this configuration.  Otherwise I can only guess at what we might need for support here.
------- Comment #3 From 2011-11-20 10:29:00 PST -------
Hi Eric,

Apologies, I'm terribly sorry for the slow response on this one.

ORWT can be used to test 32-bit on a 64-bit machine using the following steps:

    build-webkit --debug ARCHS=i386
    export VERSIONER_PERL_PREFER_32_BIT=yes
    old-run-webkit-tests --debug --32-bit

[ The second step (the export) is really a workaround for a bug.  As I understand it, one of the perl scripts compiles & loads a couple of modules, and these really should be being compiled based on the platform you are running on alone (since perl runs in 64-bit by default, the module should be compiled as 64-bit).  Currently however the modules are instead being compiled for the platform you are testing, in this case 32-bit. ]

Hope this helps!

many thanks,
G.
------- Comment #4 From 2011-11-20 12:19:20 PST -------
Thanks!
------- Comment #5 From 2012-06-11 15:29:11 PST -------
Okay, so now I'm looking at what we might need to implement here in NRWT. 

From, looking at the code, the only things I can see is that --32-bit might need to be propagated to the call to build-dumprendertree, and possibly we would need to *not* skip plugins/npp-set-window-called-during-destruction.html:

http://trac.webkit.org/browser/trunk/Tools/Scripts/old-run-webkit-tests#L1425
http://trac.webkit.org/browser/trunk/Tools/Scripts/old-run-webkit-tests#L610

Can someone confirm that's correct? I'll add a patch for this and that can be reviewed ...
------- Comment #6 From 2012-06-11 16:36:07 PST -------
Created an attachment (id=146961) [details]
Patch
------- Comment #7 From 2012-06-11 16:43:58 PST -------
(From update of attachment 146961 [details])
Code all looks fine. Someone at Apple may want to verify that this is what they were asking for.
------- Comment #8 From 2012-06-11 16:44:54 PST -------
(In reply to comment #7)
> (From update of attachment 146961 [details] [details])
> Code all looks fine. Someone at Apple may want to verify that this is what they were asking for.

Oh, I see that Gavin basically said that this is what they need. So, looks good to me.
------- Comment #9 From 2012-06-11 17:05:35 PST -------
I ran this on Mac Lion and it seemed to do the right thing; I'll give the apple guys a chance to take a look but plan on landing this tomorrow unless I get a negative review.
------- Comment #10 From 2012-06-11 23:01:47 PST -------
Hi Dirk,

Thank you for fixing this! – I'm away from my desk for a couple of days, so I wouldn't be able to help test this until Thursday – please feel free to go ahead and land if it is working for you.

Thank you!,
Gavin.
------- Comment #11 From 2012-06-13 15:37:20 PST -------
Committed r120252: <http://trac.webkit.org/changeset/120252>